Subject: Wrong uncompressed size with option --list
From: Juan Diaz <[email-masked]>
To: [email-masked]
Date: Fri, 21 Aug 2020 10:24:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've seen that with large sized files (14G in this case) when I use the 
"list" option I get wrong uncompressed size and the ratio, of course, is 
wrong. I've tested it with versions 1.10 (last just compiled) and 1.5 
(system version).

/ # ./gzip -l  file.gz //
//         compressed        uncompressed  ratio uncompressed_name//
/

/         4937209128          1654354046 -198.4% file/

The real uncompressed size is 14539255934.

/# ./gzip -V//
//gzip 1.10//
//Copyright (C) 2018 Free Software Foundation, Inc.//
//Copyright (C) 1993 Jean-loup Gailly.//
//This is free software.  You may redistribute copies of it under the 
terms of//
//the GNU General Public License <https://www.gnu.org/licenses/gpl.html>.//
//There is NO WARRANTY, to the extent permitted by law.//
//
//Written by Jean-loup Gailly./

/#ldd ./gzip //
//        linux-vdso.so.1 =>  (0x00007ffecc9f2000)//
//        libc.so.6 => /lib64/libc.so.6 (0x00007f4414ef0000)//
//        /lib64/ld-linux-x86-64.so.2 (0x00007f44152be000)/

/# file ./gzip //
//./gzip: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), 
dynamically linked (uses shared libs), for GNU/Linux 2.6.32, 
BuildID[sha1]=d0d1507ea734a12479a63489ea858bd997fcb716, not stripped/

Regards.